| Flutter Linux Embedder |

Public Attributes | List of all members
_FlTextInputHandler Struct Reference

## Public Attributes
GObject | parent_instance
FlTextInputChannel * | channel
int64_t | client_id
gchar * | input_action
FlTextInputType | input_type
gboolean | enable_delta_model
GtkIMContext * | im_context
GWeakRef | view_delegate
flutter::TextInputModel * | text_model
double | editabletext_transform [4][4]
GdkRectangle | composing_rect
GCancellable * | cancellable

## Detailed Description

Definition at line 17 of file fl_text_input_handler.cc.

## Member Data Documentation

## ◆ cancellable

GCancellable* _FlTextInputHandler::cancellable

Definition at line 54 of file fl_text_input_handler.cc.

## ◆ channel

FlTextInputChannel* _FlTextInputHandler::channel

Definition at line 20 of file fl_text_input_handler.cc.

## ◆ client_id

int64_t _FlTextInputHandler::client_id

Definition at line 23 of file fl_text_input_handler.cc.

## ◆ composing_rect

GdkRectangle _FlTextInputHandler::composing_rect

Definition at line 52 of file fl_text_input_handler.cc.

## ◆ editabletext_transform

double _FlTextInputHandler::editabletext_transform[4][4]

Definition at line 46 of file fl_text_input_handler.cc.

## ◆ enable_delta_model

gboolean _FlTextInputHandler::enable_delta_model

Definition at line 35 of file fl_text_input_handler.cc.

## ◆ im_context

GtkIMContext* _FlTextInputHandler::im_context

Definition at line 38 of file fl_text_input_handler.cc.

## ◆ input_action

gchar* _FlTextInputHandler::input_action

Definition at line 26 of file fl_text_input_handler.cc.

## ◆ input_type

FlTextInputType _FlTextInputHandler::input_type

Definition at line 29 of file fl_text_input_handler.cc.

## ◆ parent_instance

GObject _FlTextInputHandler::parent_instance

Definition at line 18 of file fl_text_input_handler.cc.

## ◆ text_model

flutter::TextInputModel* _FlTextInputHandler::text_model

Definition at line 42 of file fl_text_input_handler.cc.

## ◆ view_delegate

GWeakRef _FlTextInputHandler::view_delegate

Definition at line 40 of file fl_text_input_handler.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_text_input_handler.cc